%bcond_with latex

Summary:        Text based document generation
Name:           asciidoc
Version:        10.2.0
Release:        3%{?dist}
License:        GPL+ and GPLv2+
URL:            http://asciidoc.org
Source0:        https://github.com/%{name}-py/asciidoc-py/archive/%{version}/%{name}-py-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  docbook-style-xsl libxslt graphviz source-highlight
BuildRequires:  automake autoconf make symlinks
BuildRequires:  python3-devel python3-pip python3-setuptools python3-wheel

Requires:       docbook-style-xsl graphviz libxslt source-highlight
Requires:       python3

%description
AsciiDoc is a plain text markup language for writing technical
content. It’s packed with semantic elements and equipped with
features to modularize and reuse content. AsciiDoc content can
be composed using a text editor, managed in a version control
system, and published to multiple output formats.


%package doc
Summary:  Additional documentation and examples for asciidoc
Requires: %{name} = %{version}-%{release}

%description doc
%{summary}.

%if %{with latex}
%package latex
Summary:  Support for asciidoc latex output
Requires: %{name} = %{version}-%{release}
Requires: dblatex
Requires: texlive-dvipng-bin

%description latex
%{summary}.
%endif

%prep
%autosetup -n %{name}-py-%{version}

rm -rf %{buildroot}{%{_sysconfdir}/asciidoc/filters/music,%{_sysconfdir}/asciidoc/filters/music/*.conf,%{_sysconfdir}/asciidoc/filters/music/*.py}

grep -rl '#!/usr/bin/env python' | xargs -r \
    sed -i -e '1s@#!/usr/bin/env python3\?$@#!%{__python3}@'

%build
autoreconf -v
%configure
%make_build

%install
make install docs manpages DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}/share/doc/doc/{asciidoc.1,a2x.1,testasciidoc.1} %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}/%{_pkgdocdir}/doc
mv %{buildroot}/share/doc/doc/ %{buildroot}/%{_pkgdocdir}/doc
mkdir -p %{buildroot}/%{_pkgdocdir}/doc/images
mv %{buildroot}/share/doc/images/ %{buildroot}/%{_pkgdocdir}/doc/images
rm  %{buildroot}/share/doc/{BUGS.adoc,CHANGELOG.adoc,INSTALL.adoc,README.md,dblatex/dblatex-readme.txt,docbook-xsl/asciidoc-docbook-xsl.txt}

%files
%license COPYRIGHT
%doc BUGS.adoc CHANGELOG.adoc COPYRIGHT README.md
%{_mandir}/man1/*.1*
%{_bindir}/a2x
%{_bindir}/asciidoc
%{python3_sitelib}/asciidoc-%{version}.dist-info/
%{python3_sitelib}/asciidoc/
%exclude %{python3_sitelib}/asciidoc/resources/filters/latex
%exclude %{python3_sitelib}/asciidoc/resources/filters/music
%exclude %{_pkgdocdir}/doc

%files doc
%doc COPYRIGHT
%{_pkgdocdir}/doc

%if %{with latex}
%files latex
%doc COPYRIGHT
%dir %{python3_sitelib}/asciidoc/resources/filters/latex
%endif

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.2.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.2.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 kianli <kianli@tencent.com> - 10.2.0-1
- Upgrade to 10.2.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.1.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.1.0-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 9.1.0-2
- remove dblatex and texlive buildrequires

* Tue Nov 22 2022 cunshunxia <cunshunxia@tencent.com> - 9.1.0-1
- initial build
